/**
 * INPUT
 * 
 *
*/
.rtds-input {
    position: relative;
    display: flex;
    align-items: center;
}
.rtds-input [type='text'],
    .rtds-input input:where(:not([type])),
    .rtds-input [type='email'],
    .rtds-input [type='url'],
    .rtds-input [type='password'],
    .rtds-input [type='number'],
    .rtds-input [type='date'],
    .rtds-input [type='datetime-local'],
    .rtds-input [type='month'],
    .rtds-input [type='search'],
    .rtds-input [type='tel'],
    .rtds-input [type='time'],
    .rtds-input [type='week'],
    .rtds-input [multiple],
    .rtds-input [type='file'],
    .rtds-input textarea {
    width: 100%;
    border-radius: 0.5rem;
}
.rtds-input [type='file'] {
    padding: var(--spacing-1);
}
.rtds-input [type='text'],
    .rtds-input input:where(:not([type])),
    .rtds-input [type='email'],
    .rtds-input [type='url'],
    .rtds-input [type='password'],
    .rtds-input [type='number'],
    .rtds-input [type='date'],
    .rtds-input [type='datetime-local'],
    .rtds-input [type='month'],
    .rtds-input [type='search'],
    .rtds-input [type='tel'],
    .rtds-input [type='time'],
    .rtds-input [type='week'],
    .rtds-input [multiple],
    .rtds-input textarea {
    padding-top: var(--spacing-2);
    padding-bottom: var(--spacing-2);
    padding-left: var(--spacing-3);
    padding-right: var(--spacing-3);
        border-color: var(--color-border-input);
    border-width: 1px;
}
.rtds-input [type='text'],
    .rtds-input input:where(:not([type])),
    .rtds-input [type='email'],
    .rtds-input [type='url'],
    .rtds-input [type='password'],
    .rtds-input [type='number'],
    .rtds-input [type='date'],
    .rtds-input [type='datetime-local'],
    .rtds-input [type='month'],
    .rtds-input [type='search'],
    .rtds-input [type='tel'],
    .rtds-input [type='time'],
    .rtds-input [type='week'],
    .rtds-input [multiple] {
    height: var(--spacing-11);
}
/* ICON STYLES */
.rtds-input__icon {
    position: absolute;
    left: var(--spacing-4);
        color: var(--color-content-placeholder);
    width: var(--spacing-6);
    height: var(--spacing-6);
}
.rtds-input--sm .rtds-input__icon {
    left: var(--spacing-3);
    width: var(--spacing-4);
    height: var(--spacing-4);
}
.rtds-input--lg .rtds-input__icon {
    left: var(--spacing-4);
    height: var(--spacing-8);
    width: var(--spacing-8);
}
/* HAS ICON SIZE STYLE */
.has-icon.rtds-input [type='text'],
    .has-icon.rtds-input input:where(:not([type])),
    .has-icon.rtds-input [type='email'],
    .has-icon.rtds-input [type='url'],
    .has-icon.rtds-input [type='password'],
    .has-icon.rtds-input [type='number'],
    .has-icon.rtds-input [type='date'],
    .has-icon.rtds-input [type='datetime-local'],
    .has-icon.rtds-input [type='month'],
    .has-icon.rtds-input [type='search'],
    .has-icon.rtds-input [type='tel'],
    .has-icon.rtds-input [type='time'],
    .has-icon.rtds-input [type='week'],
    .has-icon.rtds-input [multiple],
    .has-icon.rtds-input textarea {
    padding-left: var(--spacing-12);
}
/* VALIDATION STYLES */
.is-invalid .rtds-input input,
    .rtds-input input[aria-invalid="true"],
    .has-error.rtds-input input {
    border-width: 2px;
    border-color: var(--color-error-dark);
}
/* DISABLED STATE */
.rtds-input input:disabled,
    .rtds-input textarea:disabled {
        color: var(--color-content-disabled);
        border-color: var(--color-border-gray-03);
        cursor: not-allowed;
    }
/* SIZE STYLES */
.rtds-input--sm [type='text'],
    .rtds-input--sm input:where(:not([type])),
    .rtds-input--sm [type='email'],
    .rtds-input--sm [type='url'],
    .rtds-input--sm [type='password'],
    .rtds-input--sm [type='number'],
    .rtds-input--sm [type='date'],
    .rtds-input--sm [type='datetime-local'],
    .rtds-input--sm [type='month'],
    .rtds-input--sm [type='search'],
    .rtds-input--sm [type='tel'],
    .rtds-input--sm [type='time'],
    .rtds-input--sm [type='week'],
    .rtds-input--sm [multiple] {
    height: var(--spacing-8);
}
.rtds-input--sm [type='text'],
    .rtds-input--sm input:where(:not([type])),
    .rtds-input--sm [type='email'],
    .rtds-input--sm [type='url'],
    .rtds-input--sm [type='password'],
    .rtds-input--sm [type='number'],
    .rtds-input--sm [type='date'],
    .rtds-input--sm [type='datetime-local'],
    .rtds-input--sm [type='month'],
    .rtds-input--sm [type='search'],
    .rtds-input--sm [type='tel'],
    .rtds-input--sm [type='time'],
    .rtds-input--sm [type='week'],
    .rtds-input--sm [multiple],
    .rtds-input--sm textarea {
    padding-top: var(--spacing-1);
    padding-bottom: var(--spacing-1);
    padding-left: var(--spacing-2);
    padding-right: var(--spacing-2);
}
.has-icon.rtds-input--sm [type='text'],
    .has-icon.rtds-input--sm input:where(:not([type])),
    .has-icon.rtds-input--sm [type='email'],
    .has-icon.rtds-input--sm [type='url'],
    .has-icon.rtds-input--sm [type='password'],
    .has-icon.rtds-input--sm [type='number'],
    .has-icon.rtds-input--sm [type='date'],
    .has-icon.rtds-input--sm [type='datetime-local'],
    .has-icon.rtds-input--sm [type='month'],
    .has-icon.rtds-input--sm [type='search'],
    .has-icon.rtds-input--sm [type='tel'],
    .has-icon.rtds-input--sm [type='time'],
    .has-icon.rtds-input--sm [type='week'],
    .has-icon.rtds-input--sm [multiple],
    .has-icon.rtds-input--sm textarea {
    padding-left: var(--spacing-10);
}
.rtds-input--lg [type='text'],
    .rtds-input--lg input:where(:not([type])),
    .rtds-input--lg [type='email'],
    .rtds-input--lg [type='url'],
    .rtds-input--lg [type='password'],
    .rtds-input--lg [type='number'],
    .rtds-input--lg [type='date'],
    .rtds-input--lg [type='datetime-local'],
    .rtds-input--lg [type='month'],
    .rtds-input--lg [type='search'],
    .rtds-input--lg [type='tel'],
    .rtds-input--lg [type='time'],
    .rtds-input--lg [type='week'],
    .rtds-input--lg [multiple] {
    height: var(--spacing-14);
}
.rtds-input--lg [type='text'],
    .rtds-input--lg input:where(:not([type])),
    .rtds-input--lg [type='email'],
    .rtds-input--lg [type='url'],
    .rtds-input--lg [type='password'],
    .rtds-input--lg [type='number'],
    .rtds-input--lg [type='date'],
    .rtds-input--lg [type='datetime-local'],
    .rtds-input--lg [type='month'],
    .rtds-input--lg [type='search'],
    .rtds-input--lg [type='tel'],
    .rtds-input--lg [type='time'],
    .rtds-input--lg [type='week'],
    .rtds-input--lg [multiple],
    .rtds-input--lg textarea {
    padding-left: var(--spacing-3);
    padding-right: var(--spacing-3);
    padding-top: var(--spacing-3);
    padding-bottom: var(--spacing-3);
}
.has-icon.rtds-input--lg [type='text'],
    .has-icon.rtds-input--lg input:where(:not([type])),
    .has-icon.rtds-input--lg [type='email'],
    .has-icon.rtds-input--lg [type='url'],
    .has-icon.rtds-input--lg [type='password'],
    .has-icon.rtds-input--lg [type='number'],
    .has-icon.rtds-input--lg [type='date'],
    .has-icon.rtds-input--lg [type='datetime-local'],
    .has-icon.rtds-input--lg [type='month'],
    .has-icon.rtds-input--lg [type='search'],
    .has-icon.rtds-input--lg [type='tel'],
    .has-icon.rtds-input--lg [type='time'],
    .has-icon.rtds-input--lg [type='week'],
    .has-icon.rtds-input--lg [multiple],
    .has-icon.rtds-input--lg textarea {
    padding-left: var(--spacing-14);
}
